#########################################################################
#
#       MAKEFILE FOR STAND-ALONE XT CODE APPLICATION.  
#
#       EXECUTABLE      is the name of the executable to be created 
#       MAIN            is the .c file containing your main() function 
#       INTERFACES      is a list of the generated C code files
#       APP_OBJS        is a (possibly empty) list of the object code
#                       files that form the non-interface portion of
#                       your application
#
#       In the first three statements, the variables on the right 
#	of the equal sign will be replaced with their corresponding
#       values when the makefile is automatically generated.
#
#       This template is used for makefiles which do not reference 
#       the Ux runtime library.
#
#  	$Date: 93/07/16 12:43:42 $ 		$Revision: 2.22.6.2 $
#########################################################################


EXECUTABLE	= monitor
MAIN		= monitor.cc
INTERFACES	= 	monitor_F.cc 

LANGUAGE        = C++
APPL_OBJS       = UxXt.o UxCplus.o

UX_DIR		= /home/mercure/uimx2.5
UX_LIBPATH	= $(UX_DIR)/lib
X_LIBS		= -lXm -lXt -lX11

X_LIBPATH    = -L/home/saturne/ics_motif/usr/lib/X11
MOTIF_LIBPATH   = -L/home/saturne/ics_motif/usr/lib/X11
X_CFLAGS     = -I/home/saturne/ics_motif/usr/include
MOTIF_CFLAGS     = -I/home/saturne/ics_motif/usr/include

# For Centerline K&R cc
# KR_CC         = clcc -traditional
# KR_CFLAGS     =
# For sun4 K&R cc
KR_CC           = cc
KR_CFLAGS       = -D_NO_PROTO
# For GNU K&R cc
# KR_CC         = gcc
# KR_CFLAGS     = -traditional -D_NO_PROTO
# For Centerline ansi cc
# ANSI_CC         = clcc
# ANSI_CFLAGS     = 
# For GNU ansi cc
ANSI_CC         = gcc
ANSI_CFLAGS     = -ansi -Dsun4
# For Centerline c++
# CPLUS_CC        = CC
# CPLUS_CFLAGS    = 
# For GNU c++
CPLUS_CC        = gcc
CPLUS_CFLAGS    = -xc++
CFLAGS		= -DXT_CODE $(X_CFLAGS) $(MOTIF_CFLAGS)
LIBPATH         = $(X_LIBPATH) $(MOTIF_LIBPATH)
LIBS		= $(X_LIBS) -lm


OBJS = $(MAIN:.cc=.o) $(INTERFACES:.cc=.o) $(APPL_OBJS)

$(EXECUTABLE): $(OBJS)
	@echo Linking    $(EXECUTABLE)
	$(LD) $(OBJS) $(LIBPATH) $(LIBS) -o $(EXECUTABLE)
	@echo "Done"


.SUFFIXES: 
.SUFFIXES: .o .cc .c

.c.o:
	@echo Compiling $< [$(LANGUAGE)] [XT-CODE]
	$(CC) -c $(CFLAGS) $< -o $@
.cc.o:
	@echo Compiling $< [$(LANGUAGE)] [XT-CODE]
	$(CC) -c $(CFLAGS) $< -o $@



CC = \
@`if [ "$(LANGUAGE)" = "C++" ]; then echo $(CPLUS_CC) $(CPLUS_CFLAGS);fi` \
`if [ "$(LANGUAGE)" = "ANSI C" ]; then echo $(ANSI_CC) $(ANSI_CFLAGS); fi`\
`if [ "$(LANGUAGE)" = "KR-C" ]; then echo $(KR_CC) $(KR_CFLAGS); fi`

LD = \
@`if [ "$(LANGUAGE)" = "C++" ]; then echo $(CPLUS_CC);fi` \
`if [ "$(LANGUAGE)" = "ANSI C" ]; then echo $(ANSI_CC); fi`\
`if [ "$(LANGUAGE)" = "KR-C" ]; then echo $(KR_CC); fi`

